# Changelog

All notable changes to this project will be documented in this file.

## [Unreleased]

### Added
- Initial implementation of the ProtonImage widget.

### Features
- Ability to display images from network URLs.
- Customizable height and aspect ratio.
- Option to set border radius for rounded corners.
- Support for loading indicator with shimmer effect.
- Customizable shimmer effect colors.
- Ability to specify fallback background color.
- Support for BoxFit to control how the image is inscribed into the widget.
- Widget tested with unit tests for basic functionality.

### Example
- Created an example usage of the ProtonImage widget.

## [1.0.0] - 2024-02-01
### Changed
- Initial release of the ProtonImage package.
